## ros-jazzy-depth-image-proc 5.0.1

=== debian/changelog ===
ros-jazzy-depth-image-proc (5.0.1-3bookworm) bookworm; urgency=high

  * Update depth_image_proc::RegisterNode documentation (#957 <https://github.com/ros-perception/image_pipeline/issues/957>)
    Adding missing parameters from register node of depth_image_proc
    package.
    Related to Issue #956 <https://github.com/ros-perception/image_pipeline/issues/956>
  * add invalid_depth param (#943 <https://github.com/ros-perception/image_pipeline/issues/943>)
    Add option to set all invalid depth pixels to a specified value, typically the maximum range.
    * Updates convertDepth parameter name and optimizes use of the parameter.
    * Updates PointCloudXYZ, PointCloudXYZI, and PointCloudXYZRGB with new invalid_depth parameter
  * fix image publisher remapping (#941 <https://github.com/ros-perception/image_pipeline/issues/941>)
    Addresses #940 <https://github.com/ros-perception/image_pipeline/issues/940> - fixes the compressed/etc topic remapping for publishers
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate image_pipeline docs (#929 <https://github.com/ros-perception/image_pipeline/issues/929>)
    * Migrates image_pipeline overview page
    * Migrates CameraInfo wiki page
    * Adds links to the other packages in this stack
    * Updates depth_image_proc and image_proc to have the overview page properly named and in the TOC
  * migrate depth_image_proc docs (#926 <https://github.com/ros-perception/image_pipeline/issues/926>)
  * Fixed image types in depth_image_proc
  * Contributors: Alejandro Hernández Cordero, Alessio Parmeggiani, Michael Ferguson, philipp.polterauer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-depth-image-proc (5.0.0-3bookworm) bookworm; urgency=high

  * radial nodes: should all sub to raw topics (#906 <https://github.com/ros-perception/image_pipeline/issues/906>)
    Per findings in
    https://github.com/ros-perception/image_pipeline/issues/388#issuecomment-1902487162
    - instead of renaming xyz_radial and xyzi_radial to image_rect, I should
    have made the xyzrgb_radial use image_raw (since these nodes use
    matrices K & D):
    * Revert the change in xyzi_radial - topic is depth/image_raw as it has
    always been
    * Revert the change in xyz_radial, although it is still changed slightly
    from the old "image_raw" -> "depth/image_raw" for consistency with the
    other nodes.
    * Update xyzrgb_radial:
    * depth_registered/image_rect -> depth/image_raw
    * rgb/image_rect_color -> rgb/image_raw
    * update launch files accordingly (and remove camera_info since it no
    longer needs to be renamed, happens automagically). Note: these launch
    files are probably epically bad since realsense doesn't output radial
    images... but we'll leave them as documentation for these nodes.
  * depth_image_proc: update launch files (#905 <https://github.com/ros-perception/image_pipeline/issues/905>)
    * follow up to #900 <https://github.com/ros-perception/image_pipeline/issues/900> - had not noticed these launch files at the time
    * remove camera_info topics that auto remap now
  * depth_image_proc: consistent image_transport (#900 <https://github.com/ros-perception/image_pipeline/issues/900>)
    * all node support image_transport and/or depth_image_transport parameters.
    * point cloud nodes use depth_image_transport parameter for all depth inputs
    * fixes so that remapping works appropriately for image topics, even when using transports other than raw
    * fixes so that remapping works appropriately for image_transport outputs (crop/convert nodes)
    * support remapping camera_info topics
  * support rgba8 and bgra8 encodings by skipping alpha channel (#869 <https://github.com/ros-perception/image_pipeline/issues/869>)
    Related with the change in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/671/files
    ---------
  * ROS 2: Add option to use the RGB image timestamp for the registered depth image (#872 <https://github.com/ros-perception/image_pipeline/issues/872>)
    Related with this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/871
  * Support MONO16 image encodings: point_cloud_xyz (#868 <https://github.com/ros-perception/image_pipeline/issues/868>)
    Related with this change in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/630
  * ROS 2: depth_image_proc/point_cloud_xyzi_radial Add intensity conversion (copy) for float (#867 <https://github.com/ros-perception/image_pipeline/issues/867>)
    Ported from ROS 1
    https://github.com/ros-perception/image_pipeline/pull/336/files
  * make remaining components lazy (#853 <https://github.com/ros-perception/image_pipeline/issues/853>)
    missed a few components in #815 <https://github.com/ros-perception/image_pipeline/issues/815>
  * allow use as component or node (#852 <https://github.com/ros-perception/image_pipeline/issues/852>)
    This addresses
    https://github.com/ros-perception/image_pipeline/issues/823:
    * depth_image_proc was never implemented properly this way
    * image_proc might have once worked this way, but it appears upstream
    has changed over time and it was no longer doing the job.
    * stereo_image_proc is actually implemented correctly - I just added a
    comment
    With this PR:
    ```
    $ ros2 pkg executables image_proc
    image_proc crop_decimate_node
    image_proc crop_non_zero_node
    image_proc debayer_node
    image_proc image_proc
    image_proc rectify_node
    image_proc resize_node
    ```
    ```
    $ ros2 pkg executables depth_image_proc

