## ros-jazzy-depth-image-proc 5.0.4

=== debian/changelog ===
ros-jazzy-depth-image-proc (5.0.4-1bookworm) bookworm; urgency=high

  * Finish QoS updates (backport #1019 <https://github.com/ros-perception/image_pipeline/issues/1019>) (#1024 <https://github.com/ros-perception/image_pipeline/issues/1024>)
    This implements the remainder of #847 <https://github.com/ros-perception/image_pipeline/issues/847>:
    - Make sure publishers default to system defaults (reliable)
    - Add QoS overriding where possible (some of the image_transport /
    message_filters stuff doesn't really support that)
    - Use the matching heuristic for subscribers consistently
  * fix signature issue from #943 <https://github.com/ros-perception/image_pipeline/issues/943> (backport #1018 <https://github.com/ros-perception/image_pipeline/issues/1018>) (#1023 <https://github.com/ros-perception/image_pipeline/issues/1023>)
    Without this, we get
    ```
    symbol lookup error: /home/ubr/jazzy/install/depth_image_proc/lib/libdepth_image_proc.so: undefined symbol: _ZN16depth_image_proc10convertRgbERKSt10shared_ptrIKN11sensor_msgs3msg6Image_ISaIvEEEES0_INS2_12PointCloud2_IS4_EEEiiii
    c++filt _ZN16depth_image_proc10convertRgbERKSt10shared_ptrIKN11sensor_msgs3msg6Image_ISaIvEEEES0_INS2_12PointCloud2_IS4_EEEiiii
    depth_image_proc::convertRgb(std::shared_ptr<sensor_msgs::msg::Image\_<std::allocator<void> > const> const&, std::shared_ptr<sensor_msgs::msg::PointCloud2\_<std::allocator<void> > >, int, int, int, int)
    ```
    This is an automatic backport of pull request #1018 <https://github.com/ros-perception/image_pipeline/issues/1018> done by
    [Mergify](https://mergify.com).
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-jazzy-depth-image-proc (5.0.3-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 15 Jul 2024 16:00:00 -0000

ros-jazzy-depth-image-proc (5.0.2-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 16:00:00 -0000

ros-jazzy-depth-image-proc (5.0.1-1bookworm) bookworm; urgency=high

  * Update depth_image_proc::RegisterNode documentation (#957 <https://github.com/ros-perception/image_pipeline/issues/957>)
    Adding missing parameters from register node of depth_image_proc
    package.
    Related to Issue #956 <https://github.com/ros-perception/image_pipeline/issues/956>
  * add invalid_depth param (#943 <https://github.com/ros-perception/image_pipeline/issues/943>)
    Add option to set all invalid depth pixels to a specified value, typically the maximum range.
    * Updates convertDepth parameter name and optimizes use of the parameter.
    * Updates PointCloudXYZ, PointCloudXYZI, and PointCloudXYZRGB with new invalid_depth parameter
  * fix image publisher remapping (#941 <https://github.com/ros-perception/image_pipeline/issues/941>)
    Addresses #940 <https://github.com/ros-perception/image_pipeline/issues/940> - fixes the compressed/etc topic remapping for publishers
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate image_pipeline docs (#929 <https://github.com/ros-perception/image_pipeline/issues/929>)
    * Migrates image_pipeline overview page
    * Migrates CameraInfo wiki page
    * Adds links to the other packages in this stack
    * Updates depth_image_proc and image_proc to have the overview page properly named and in the TOC
  * migrate depth_image_proc docs (#926 <https://github.com/ros-perception/image_pipeline/issues/926>)
  * Fixed image types in depth_image_proc
  * Contributors: Alejandro Hernández Cordero, Alessio Parmeggiani, Michael Ferguson, philipp.polterauer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 16:00:00 -0000

ros-jazzy-depth-image-proc (5.0.0-1bookworm) bookworm; urgency=high

  * radial nodes: should all sub to raw topics (#906 <https://github.com/ros-perception/image_pipeline/issues/906>)
    Per findings in
    https://github.com/ros-perception/image_pipeline/issues/388#issuecomment-1902487162
    - instead of renaming xyz_radial and xyzi_radial to image_rect, I should
    have made the xyzrgb_radial use image_raw (since these nodes use
    matrices K & D):
    * Revert the change in xyzi_radial - topic is depth/image_raw as it has
    always been
    * Revert the change in xyz_radial, although it is still changed slightly
    from the old "image_raw" -> "depth/image_raw" for consistency with the
    other nodes.
    * Update xyzrgb_radial:
    * depth_registered/image_rect -> depth/image_raw
    * rgb/image_rect_color -> rgb/image_raw
    * update launch files accordingly (and remove camera_info since it no
    longer needs to be renamed, happens automagically). Note: these launch
    files are probably epically bad since realsense doesn't output radial
    images... but we'll leave them as documentation for these nodes.
  * depth_image_proc: update launch files (#905 <https://github.com/ros-perception/image_pipeline/issues/905>)
    * follow up to #900 <https://github.com/ros-perception/image_pipeline/issues/900> - had not noticed these launch files at the time
    * remove camera_info topics that auto remap now
  * depth_image_proc: consistent image_transport (#900 <https://github.com/ros-perception/image_pipeline/issues/900>)
    * all node support image_transport and/or depth_image_transport parameters.
    * point cloud nodes use depth_image_transport parameter for all depth inputs

