=== debian/control ===
Source: ros-jazzy-depth-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-jazzy-ament-cmake-auto, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-class-loader, ros-jazzy-cv-bridge, ros-jazzy-image-geometry, ros-jazzy-image-proc, ros-jazzy-image-transport, ros-jazzy-message-filters, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-stereo-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Homepage: https://index.ros.org/p/depth_image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-jazzy-depth-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-jazzy-cv-bridge, ros-jazzy-image-geometry, ros-jazzy-image-proc, ros-jazzy-image-transport, ros-jazzy-message-filters, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-stereo-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Description: Contains components for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well as registering (reprojecting) a depth image into another camera frame.
